VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "  "
   ClientHeight    =   6150
   ClientLeft      =   3165
   ClientTop       =   1080
   ClientWidth     =   5625
   LinkTopic       =   "Form1"
   ScaleHeight     =   6150
   ScaleWidth      =   5625
   Begin VB.ListBox List1 
      Height          =   5910
      ItemData        =   "Form1.frx":0000
      Left            =   120
      List            =   "Form1.frx":0002
      TabIndex        =   0
      Top             =   120
      Width           =   5295
   End
   Begin VB.Menu run_ba 
      Caption         =   " (Ba)"
   End
   Begin VB.Menu run_p 
      Caption         =   " ()"
   End
   Begin VB.Menu about 
      Caption         =   " "
   End
   Begin VB.Menu exit 
      Caption         =   ""
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim i0 As Single, t As Single

Private Sub about_Click()
MsgBox ("    . 116")
End Sub

Private Sub exit_Click()
Close #2
End
End Sub

Private Sub Form_Load()
Open "res.txt" For Output As #2
End Sub

Private Sub run_ba_Click()
Open "input_ba.txt" For Input As #1
List1.AddItem ("   139 Ba")
Call run
Close #1
End Sub

Function f(x As Single) As Single
 f = i0 * Exp(-0.693 * x / t)
End Function

Sub mnk(x() As Single, y() As Single, n As Integer, i0 As Single, t As Single)
Rem  . i0,t: y=a0*exp(-0.693*x/t)
 Dim i As Integer, s1 As Single, s2 As Single, s3 As Single, s4 As Single
 s1 = 0: s2 = 0
 s3 = 0: s4 = 0
 For i = 1 To n
   s1 = s1 + x(i)
   s2 = s2 + Log(y(i))
   s3 = s3 + Log(y(i)) * x(i)
   s4 = s4 + x(i) ^ 2
 Next i
 t = (s1 * s2 - n * s3) / (s1 ^ 2 - n * s4)
 i0 = Exp(1 / n * (s2 - t * s1))
 t = -0.693 / t
End Sub


Private Sub run()
Dim x() As Single, y() As Single, n As Integer
Dim s As String
Input #1, n
ReDim x(n), y(n)
For i = 1 To n
   Input #1, x(i), y(i)
Next i
Call mnk(x(), y(), n, i0, t)
List1.AddItem ("y=I0*EXP(-0.693*x/t) ")
' " "
List1.AddItem ("I0 =" + Str(i0))
List1.AddItem ("T  =" + Str(t))
List1.AddItem ("      N            X             Y               Y")
Print #2, "      N             X          Y            Y"
For i = 1 To n
 s = Format(i, "       00 ")
 s = s + Format(x(i), "     00000.0   ")
 s = s + Format(y(i), "     00000   ")
 s = s + Format(f(x(i)), "     00000   ")
 List1.AddItem (s)
 Print #2, s
Next i
List1.AddItem ("")
Print #2,
End Sub

Private Sub run_p_Click()
Open "input_p.txt" For Input As #1
List1.AddItem ("   32 P")
Call run
Close #1
End Sub
